Subject: bug#18541: 24.3; ruler-mode: margins are reset when doing next-buffer/previous-buffer

From: Andrea Rossetti <[email-masked]>
Date: Thu, 25 Sep 2014 00:14:37 +0200

Stefan Monnier <[email-masked]> writes:
> But indeed, if you set the margin with S-mouse-1 or S-mouse-3 on the
> header-line, then ruler-mode should arguably try to preserve this
> setting like you request it.

  Thanks for your reply Stefan.

  Even if I set margins with S-mouse-1 and S-mouse-3, and then
type M-x next-buffer RET M-x previous-buffer RET , the margins
disappear.

  It could indeed be a nice addition in the future if there's
some agreement. I can't think of a case where margin preservation
could be inappropriate (just a guess: maybe non-interactive sessions?).

  My suggested alternative if one needs to jump around buffers while
keeping margins enabled in a certain buffer: I noticed that the "window
configuration registers" preserve margins properly:

- (... set margins with S-mouse-1 and S-mouse-3 ...)
- C-x r w a
- M-x next-buffer RET
- C-x r j a

Kindest regards,

  Andrea